Aggregate matching WHOIS domain records
curl --request POST \
--url https://api.infrawatch.com/api/v1/search/whois/aggregate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"aggregations": [
{
"field": "<string>",
"limit": 25
}
],
"query": "<string>"
}
'import requests
url = "https://api.infrawatch.com/api/v1/search/whois/aggregate"
payload = {
"aggregations": [
{
"field": "<string>",
"limit": 25
}
],
"query": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({aggregations: [{field: '<string>', limit: 25}], query: '<string>'})
};
fetch('https://api.infrawatch.com/api/v1/search/whois/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/search/whois/aggregate"
payload := strings.NewReader("{\n \"aggregations\": [\n {\n \"field\": \"<string>\",\n \"limit\": 25\n }\n ],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"buckets": [
{
"count": 28110532,
"value": "A"
}
],
"count_unit": "dns_record",
"field": "record_type",
"has_more": false,
"relation": "eq",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 816400,
"value": "www.example.com"
}
],
"count_unit": "dns_record",
"field": "host",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 1221800,
"value": "example.com"
}
],
"count_unit": "dns_record",
"field": "apex_domain",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 27402000,
"value": "NOERROR"
}
],
"count_unit": "dns_record",
"field": "rcode",
"has_more": false,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 284100,
"value": "192.0.2.10"
}
],
"count_unit": "dns_record",
"field": "answer",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
}
],
"query": "dns.type:A"
}WHOIS
Aggregate matching WHOIS domain records
POST
https://api.infrawatch.com/api/v1
/
search
/
whois
/
aggregate
Aggregate matching WHOIS domain records
curl --request POST \
--url https://api.infrawatch.com/api/v1/search/whois/aggregate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"aggregations": [
{
"field": "<string>",
"limit": 25
}
],
"query": "<string>"
}
'import requests
url = "https://api.infrawatch.com/api/v1/search/whois/aggregate"
payload = {
"aggregations": [
{
"field": "<string>",
"limit": 25
}
],
"query": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({aggregations: [{field: '<string>', limit: 25}], query: '<string>'})
};
fetch('https://api.infrawatch.com/api/v1/search/whois/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/search/whois/aggregate"
payload := strings.NewReader("{\n \"aggregations\": [\n {\n \"field\": \"<string>\",\n \"limit\": 25\n }\n ],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"buckets": [
{
"count": 28110532,
"value": "A"
}
],
"count_unit": "dns_record",
"field": "record_type",
"has_more": false,
"relation": "eq",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 816400,
"value": "www.example.com"
}
],
"count_unit": "dns_record",
"field": "host",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 1221800,
"value": "example.com"
}
],
"count_unit": "dns_record",
"field": "apex_domain",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 27402000,
"value": "NOERROR"
}
],
"count_unit": "dns_record",
"field": "rcode",
"has_more": false,
"relation": "gte",
"sampled": false,
"value_type": "string"
},
{
"buckets": [
{
"count": 284100,
"value": "192.0.2.10"
}
],
"count_unit": "dns_record",
"field": "answer",
"has_more": true,
"relation": "gte",
"sampled": false,
"value_type": "string"
}
],
"query": "dns.type:A"
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Body
application/json
The complete encoded JSON request body is limited to 32 KiB (32768 bytes). Unknown fields, duplicate JSON keys, and null values are rejected.
⌘I